Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8047710

JDK 7 / OEL 5.x: Java Plug-in needs libstdc++.so.6(GLIBCXX_3.4.9)

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Duplicate
    • Affects Version/s: 7u60
    • Fix Version/s: None
    • Component/s: deploy
    • Labels:
    • Subcomponent:
    • CPU:
      x86_64
    • OS:
      linux

      Description

      FULL PRODUCT VERSION :
      java version "1.7.0_60"
      Java(TM) SE Runtime Environment (build 1.7.0_60-b19)
      Java HotSpot(TM) 64-Bit Server VM (build 24.60-b09, mixed mode)


      ADDITIONAL OS VERSION INFORMATION :
      OEL 5.x
      RHEL 5.x
      CentOS 5.x

      A DESCRIPTION OF THE PROBLEM :
      This bug appeared with 1.7.0_60 but has already been fixed in 1.8, see the following bug for details:
      http://bugs.java.com/bugdatabase/view_bug.do?bug_id=8029314

      REGRESSION. Last worked in version 7u55

      STEPS TO FOLLOW TO REPRODUCE THE PROBLEM :
      ldd /usr/java/jre1.7.0_60/lib/amd64/libnpjp2.so

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      No errors should be reported
      ACTUAL -
      An error shows up

      ERROR MESSAGES/STACK TRACES THAT OCCUR :
      /usr/java/jdk1.7.0_60/jre/lib/amd64/libnpjp2.so: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/java/jdk1.7.0_60/jre/lib/amd64/libnpjp2.so)
              linux-vdso.so.1 => (0x00007fff9d6da000)
              libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002b3bd986d000)
              libc.so.6 => /lib64/libc.so.6 (0x00002b3bd9b6d000)
              libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002b3bd9ec7000)
              libm.so.6 => /lib64/libm.so.6 (0x00002b3bda0d5000)
              /lib64/ld-linux-x86-64.so.2 (0x0000003aa9200000)


      REPRODUCIBILITY :
      This bug can be reproduced always.

        Issue Links

          Activity

          Hide
          dmarkov Dmitry Markov added a comment -
          The problem for 1.7.0_60 was fixed by JDK-8029314, as well. Closing this as dupe of JDK-8029314.
          Show
          dmarkov Dmitry Markov added a comment - The problem for 1.7.0_60 was fixed by JDK-8029314 , as well. Closing this as dupe of JDK-8029314 .

            People

            • Assignee:
              dmarkov Dmitry Markov
              Reporter:
              webbuggrp Webbug Group
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: